Bug 128472 - Evolution doesn't prevent setting the same named email signatures
Evolution doesn't prevent setting the same named email signatures
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 08:38 EDT by Jindrich Novy
Modified: 2013-07-02 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-12 16:30:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 269749 None None None Never

  None (edit)
Description Jindrich Novy 2004-07-23 08:38:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When creating a new email signature, Evolution doesn't check whether
a signature of the same name is already defined. If so, more of
equally named signatories are present, what is quite confusing.

Version-Release number of selected component (if applicable):
evolution-1.4.6-2

How reproducible:
Always

Steps to Reproduce:
1. go to Tools/Settings, select Mail Accounts
2. choose one of the accounts
3. click edit
4. click Add new signature...
5. name the signature as 'foo', save
6. click Add new signature...
7. name the signature as 'foo', save

Actual Results:  two equally named 'foo' and 'foo' signatories are
present in the signature selection dialog

Expected Results:  Evolution should warn or request rename of
signature if a signature
of the same name is already present.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:17:12 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jindrich Novy 2005-04-27 10:08:50 EDT
This bug isn't a security issue, but still occurs in FC4t2. Updating version.
Comment 3 Dave Malcolm 2005-04-27 14:42:41 EDT
This bug should really be filed upstream. Most upstream authors use a bug
tracking system like bugzilla, and more people who know the code will be looking
at the bug report there.

The upstream bug tracking system to use is:
http://bugzilla.gnome.org

Please make sure the bug isn't already in the upstream bug tracker before
filing it.

Note You need to log in before you can comment on or make changes to this bug.